#promotion-extra {
    background-color: #F2ECE0;
    padding: 30px 0
}

.promotion-banner {
    margin-bottom: 24px;
}

.promotion-banner img {
    width: 100%;
    height: auto;
}

.category-wrapper {
    padding: 0 0 14px;
    position: sticky;
    top: 98px;
    z-index: 99;
}

.category-wrapper .category-list {
    display: grid;
    grid-template-columns: repeat(7, 1fr);
    padding: 0;
    align-items: stretch;
    background-color: #fff;
    box-shadow: 0 0px 6px rgba(11 11 11 / 6%);
    list-style: none;
}

.category-list li a {
    height: 68px;
    line-height: 1.4;
    font-weight: 500;
    color: #23527c;
    font-size: 15px;
    display: flex;
    align-items: center;
    justify-content: center;
    text-transform: uppercase;
    text-align: center;
}

.category-list li.active > a {
    color: var(--price);
}

.category-list li::after {
    content: "";
    width: 100%;
    height: 2px;
    display: block;
    background-color: transparent;
    position: absolute;
    bottom: 0;
    left: 0;
}

.category-list li {
    position: relative;
    padding: 0 10px;
}

.category-list li.active::after {
    background: var(--price);
}

.category-list li:hover > a {
    color: var(--price);
}

.more-list {
    position: absolute;
    top: 100%;
    right: 0;
    background-color: #fff;
}

.more-list ul {
    list-style: none;
    padding: 0;
    width: 220px;
    box-shadow: 0 2px 8px rgba(11 11 11 / 8%);
}

.category-list .more-list li a {
    padding: 16px 10px;
    height: auto;
}

.category-list .more-list li + li a {
    padding-top: 0;
}

.category-list li.more-item::before {
    content: "";
    width: 2px;
    height: 20px;
    position: absolute;
    left: 0;
    top: 50%;
    transform: translateY(-50%);
    background: #23527c;
}

.more-link {
    display: flex;
    align-items: center;
    gap: 4px;
}

.product-list-by-promotion {
    display: grid;
    grid-template-columns: repeat(5, 1fr);
    grid-gap: 10px;
}

.product-item-by-promotion {
    background: #fff;
    padding: 8px;
    margin: 0;
    position: relative;
    border-radius: 3px;
    height: 100%;
    display: flex;
    flex-direction: column;
}

.product-thumb a {
    display: flex;
    justify-content: center;
    align-items: center;
    overflow: hidden;
    width: 100%;
    position: relative;
    background-color: var(--multiply, #f8f8f8);
    border-radius: 5px 5px 0 0;
}

.product-thumb a::after {
    content: "";
    padding-bottom: 100%;
    display: block;
}

.product-thumb {
    position: relative;
}

.product-thumb .percent-discount {
    background: var(--price);
    color: #fff;
    border-radius: 3px;
    padding: 3px 7px;
    font-size: 12px;
    position: absolute;
    top: 7px;
    right: 7px;
}

.product-thumb img {
    width: 100%;
    height: 100%;
    object-fit: contain;
    color: #444;
    font-size: var(--gap12);
    border-radius: 5px;
    mix-blend-mode: multiply;
    -webkit-border-radius: 5px;
    -moz-border-radius: 5px;
    -ms-border-radius: 5px;
    -o-border-radius: 5px;
    mix-blend-mode: multiply;
    position: absolute;
    top: 0;
    left: 0;
}

.product-item-by-promotion .product-info {
    margin-top: var(--gap8);
    display: flex;
    flex-direction: column;
    grid-gap: 8px;
}

.product-item-by-promotion .product-title {
    line-height: 1.4;
    min-height: 40px;
}

.product-item-by-promotion .product-price {
    font-size: 17px;
    font-weight: 600;
}

.product-item-by-promotion .market-price {
    font-size: 13px;
    text-decoration: line-through;
}

.buy-button {
    background-color: var(--price);
    color: #fff;
    border: 0;
    border-radius: 4px;
    font-size: 14px;
    text-transform: uppercase;
    padding: 6px 10px;
}

.no-data {
    text-align: center;
    min-height: 100px;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    padding: 0 16px;
}

.no-data-title {
    font-weight: 600;
    margin-bottom: 8px;
    font-size: 18px;
}

.promotion-filter {
    display: flex;
    align-items: center;
    grid-gap: 16px;
    margin-bottom: 16px;
}

.promotion-filter span {
    display: flex;
    align-items: center;
    grid-gap: 4px;
    cursor: pointer;
}

.promotion-filter span:hover, 
.promotion-filter span.active {
    color: var(--price);
}

.product-price-wrapper {
    flex-wrap: wrap;
}

.readmore-items {
    display: flex;
    justify-content: center;
    align-items: center;
    margin-top: 15px;
}

.readmore-items .readmore-more-product {
    position: relative;
    background-color: #ffffff;
    border: solid 2px var(--primary);
    color: var(--primary);
    padding: 0px var(--gap16);
    outline: none;
    cursor: pointer;
    user-select: none;
    border-radius: 3px;
    display: block;
    overflow: hidden;
    text-overflow: ellipsis;
    display: -webkit-box;
    -webkit-line-clamp: 1;
    -webkit-box-orient: vertical;
    max-width: 400px;
    line-height: 42px;
}

.readmore-items .readmore-more-product:hover {
    background-color: var(--primary);
    color: #fff;
}

.readmore-items svg {
    position: inherit;
    top: 4px;
}

.readmore-items {
    text-align: center;
}

#loading-more-product {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 999999;
    background-color: rgba(11 11 11 / 33%);
}

#loading-more-product span {
    width: 64px;
    height: 64px;
    display: block;
    border-radius: 64px;
    border: 2px solid #fff;
    border-top: 2px solid #e1e1e1;
    animation: loading-more-product 600ms linear infinite;
    position: absolute;
    top: 30%;
    left: 50%;
}

.product-loading-bouncing{
    display: flex;
    align-items: center;
    justify-content: center;
}

@media (max-width: 760px) {
    #promotion-extra {
        padding: 0 0 30px;
    }

    .category-wrapper {
        padding-top: 0;
        position: sticky;
        top: 50px;
    }

    .product-list-by-promotion {
        grid-template-columns: 1fr;
        padding: 0 15px;
    }

    .product-item-by-promotion {
        display: grid;
        grid-template-columns: 140px minmax(0, 1fr);
        align-items: stretch;
    }

    .product-item-by-promotion .product-info {
        padding: 10px;
        margin: 0;
        justify-content: center;
    }

    .product-thumb a {
        height: 100%;
    }

    .product-item-by-promotion .product-title {
        font-size: 15px;
        color: #000;
        overflow: hidden;
        text-overflow: ellipsis;
        display: -webkit-box;
        -webkit-line-clamp: 2;
        -webkit-box-orient: vertical;
    }

    .product-item-by-promotion .product-price {
        font-size: 16px;
        color: var(--price);
    }

    .category-wrapper .category-list {
        display: flex;
        width: 100%;
    }

    .category-list > li:not(.more-item) {
        width: calc((100% - 48px) / 2);
    }

    .category-list li {
        margin: 0;
    }

    .category-list li.more-item {
        width: 48px;
    }

    .category-list li a {
        height: 50px;
        font-size: 14px;
    }

    .category-list li.more-item::before {
        width: 1px;
        height: 100%;
        background: #e1e1e1;
    }

    .more-list {
        width: 100vw;
    }

    .more-list ul {
        width: 100%;
        display: grid;
        grid-template-columns: repeat(2, 1fr);
    }

    .category-list .more-list li a {
        padding: 10px 0;
        text-align: left;
        justify-content: flex-start;
    }

    .category-list .more-list li + li a {
        padding-top: 10px;
    }

    .promotion-filter {
        flex-wrap: wrap;
        padding: 0 15px;
    }

    .promotion-banner {
        margin-bottom: 0;
    }
}

